#version 330

uniform sampler2D texture_sampler;
uniform vec4 color;

in vec2 varying_UV;

out vec4 fragment_color;

void main(void) {
	fragment_color = texture2D(texture_sampler, varying_UV);

	fragment_color.a = texture2D(texture_sampler, varying_UV).r + 0.8;
	fragment_color *= color;
}